
Figure - Bug #118105
测试 Test-ST # 111337 (New): ST测试总票

测试 Test-ST # 116840 (New): 中控联调测试-AF

【AF】【EVT3】【AUDIO】副屏蓝牙电话会议中，断开蓝牙连接->喇叭不出声or断开重连->蓝牙耳机不出
声->挂断电话->中控副屏音源均不可播放
2023-05-19 15:39 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-19

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0100.C103(X103)

Resolution: FIXED Degrated: No

Severity: Major Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0102.C103(X103)

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 当在蓝牙连接情况下，用户请求从扬声器发声时，需要申请焦点，切回蓝牙时，需要释放焦点。

Description

【前提条件】：

中控0080

副屏0100

【操作步骤】

1、副屏已连接蓝牙

2、微信语音中

3、断开蓝牙连接

4、重连蓝牙

5、挂断电话播放音视频文件

【预期结果】

3、声音从喇叭输出

4、声音从蓝牙耳机输出

5、音视频文件可正常播放

【实际结果】

3、喇叭无声音输出

4、蓝牙耳机无声音输出

5、中控副屏音源均不可播放

History

#1 - 2023-05-20 15:16 - Multimedia组-RD3_TSCD 梁卿山

Hi all,

这个问题产生的原因是：断开蓝牙的时候，副屏没有重新申请voice call焦点。所以喇叭不出声。同时当蓝牙重新连接时，需要abandon 焦点。

解决方法：当处于communication 状态时，断开蓝牙，申请voice call焦点。重新连接蓝牙，abandon 焦点。

#2 - 2023-05-22 15:32 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红
- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 当在蓝牙连接情况下，用户请求从扬声器发声时，需要申请焦点，切回蓝牙时，需要释放焦点。

HI 永红

当在蓝牙连接情况下，用户请求从扬声器发声时，需要申请焦点，切回蓝牙时，需要释放焦点。

该问题已经使用118016的提交修复，请使用5/22后的版本验证。谢谢！

#3 - 2023-05-23 15:00 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0102.C103(X103)

5.23

验证通过

#4 - 2023-05-23 15:00 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

- % Done changed from 0 to 100

Files

A1525.txt 4.52 MB 2023-05-19 CD TEST-方永红
